def CrashActivityVersion = '2.4.0'
def StatusBarVersion = '2.3.3'
def GsonVersion = '2.10.1'
def PhotoPickerVersion = 'v3.11.2'
def GlideVersion = '4.16.0'
def AgentWebVersion = 'v5.1.1-androidx'
def NiceDialogVersion = '1.1.9'
def AndPermissionVersion = '2.0.3'
def BannerVersion = '2.2.2'
def SmartRefreshLayoutVersion = '2.0.6'
def MultideXVersion = '2.0.1'
def RXJavaVersion = '3.1.7'
def RXAndroidVersion = '3.0.2'
def RetrofitVersion = '2.9.0'
def OkHttpVersion = '4.11.0'
def AutoSizeVersion = '1.1.2'
def FlycoTabLayoutVersion = '3.0.0'
def ZxingVersion = '1.3.8'
def BaseRecyclerViewAdapterHelper = '4.1.4'
def MagicIndicator = '1.7.0'
def PickerView = '4.1.9'
def Permissionx = '1.7.1'
def NiceSpinner = '1.4.4'
def Countdownview = '2.1.6'
def Xpopup = '2.10.0'
def CheckVersionLib = '2.4.2'
def BuglyVersion = 'latest.release'
def CalendarPicker = '4.1.13'
project.ext {
    android = [
            compileSdkVersion: 33,
            buildToolsVersion: "33",
            applicationId    : "com.dahe.gldriver",
            minSdkVersion    : 24,
            targetSdkVersion : 32,
            versionCode      : 1,
            versionName      : "1.0.5",
    ]
    dependencies = [
            "customactivityoncrash": "cat.ereza:customactivityoncrash:${CrashActivityVersion}",
            "gson"                 : "com.google.code.gson:gson:${GsonVersion}",
            "PhotoPicker"          : "io.github.lucksiege:pictureselector:${PhotoPickerVersion}",
//            "PhotoPicker"          : "com.github.LuckSiege.PictureSelector:picture_library:${PhotoPickerVersion}",
//            "PhotoPicker"          : "io.github.lucksiege:pictureselector:${PhotoPickerVersion}",
            "agentweb"             : "io.github.justson:agentweb-core:${AgentWebVersion}",
            "statusbaruitl"        : "com.github.niorgai:StatusBarCompat:${StatusBarVersion}",
            "glide"                : "com.github.bumptech.glide:glide:${GlideVersion}",
            "glide-compiler"       : "com.github.bumptech.glide:compiler:${GlideVersion}",
            "glide-okhttps"       : "com.github.bumptech.glide:okhttp3-integration:${GlideVersion}",
            "NiceDialog"           : "com.github.Othershe:NiceDialog:${NiceDialogVersion}",//todo
            "Banner"               : "io.github.youth5201314:banner:${BannerVersion}",
            "RefreshLayout"        : "io.github.scwang90:refresh-layout-kernel:${SmartRefreshLayoutVersion}",
            "Header"        : "io.github.scwang90:refresh-header-classics:${SmartRefreshLayoutVersion}",
            "Footer"        : "io.github.scwang90:refresh-footer-classics:${SmartRefreshLayoutVersion}",
            "Multidex"             : "androidx.multidex:multidex:${MultideXVersion}",//todo
            "rxjava"               : "io.reactivex.rxjava3:rxjava:${RXJavaVersion}",
            "rxandroid"            : "io.reactivex.rxjava3:rxandroid:${RXAndroidVersion}",
            "retrofit"             : "com.squareup.retrofit2:retrofit:${RetrofitVersion}",
            "converter-gson"       : "com.squareup.retrofit2:converter-gson:${RetrofitVersion}",
            "adapter-rxjava2"      : "com.squareup.retrofit2:adapter-rxjava3:${RetrofitVersion}",
            "okhttp"               : "com.squareup.okhttp3:okhttp:${OkHttpVersion}",
            "logging-interceptor"  : "com.squareup.okhttp3:logging-interceptor:${OkHttpVersion}",
            "AutoSize"             : "me.jessyan:autosize:${AutoSizeVersion}",//todo
            "FlycoTabLayout"       : "io.github.h07000223:flycoTabLayout:${FlycoTabLayoutVersion}",
            "AndPermission"        : "com.yanzhenjie:permission:${AndPermissionVersion}",
            "Zxing"                : "com.github.bingoogolapple.BGAQRCode-Android:zxing:${ZxingVersion}",
            "BaseRecyclerViewAdapterHelper"   :"io.github.cymchad:BaseRecyclerViewAdapterHelper4:${BaseRecyclerViewAdapterHelper}",
            "MagicIndicator"   :"com.github.hackware1993:MagicIndicator:${MagicIndicator}",
            "NiceSpinner"   :"com.github.arcadefire:nice-spinner:${NiceSpinner}",
            "Countdownview"   :"com.github.iwgang:countdownview:${Countdownview}",
            "Xpopup"   :"com.github.li-xiaojun:XPopup:${Xpopup}",
            "CheckVersionLib"   :"com.github.AlexLiuSheng:CheckVersionLib:${CheckVersionLib}",
            "Bugly"   :"com.tencent.bugly:crashreport:${BuglyVersion}",//todo
//            "CalendarPicker"   :"com.github.gzu-liyujiang.AndroidPicker:CalendarPicker:${CalendarPicker}",
            "AddressPicker"   :"com.github.gzu-liyujiang.AndroidPicker:AddressPicker:${CalendarPicker}",
            "WheelPicker"   :"com.github.gzu-liyujiang.AndroidPicker:WheelPicker:${CalendarPicker}",
//            "PickerView"   :"com.contrarywind:Android-PickerView:${PickerView}",
            "Permissionx"   :"com.guolindev.permissionx:permissionx:${Permissionx}"
    ]
}
